/* style.css */
body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.calculator {
    width: 300px;
    background: #f2f2f2;
    border: 2px solid #000;
    border-radius: 10px;
    padding: 10px;
    text-align: center;
}

.display {
    width: 95%;
    height: 40px;
    font-size: 24px;
    text-align: right;
}

.button-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin-top: 10px;
}

button {
    width: 100%;
    height: 60px;
    font-size: 24px;
    border: none;
    background: #ddd;
    cursor: pointer;
}

button:hover {
    background: #aaa;
}

.operator {
    background: #f2a900;
}

#equals {
    background: #5ec752;
}

#equals:hover {
    background-color: gray;
}